﻿package  
{
	import flash.display.Sprite;
	
	/**
	* ...
	* @author Carly Gooch
	*/
	public class Bar extends Sprite
	{
		protected var _width:Number;
		protected var _height:Number;
		
		public function Bar(width:Number,height:Number) 
		{
			_width = width;
			_height = height;
			
			
		}
		/**
		 * 
		 * @param	val - percentage value between 0 and 1 
		 */
		public function setPercent(val:Number):void
		{
			drawBar(val);
		}
		
		protected function drawBar(val:Number ):void
		{
			this.graphics.clear();
			var colour:Number = 0xFF0000;
			var red:Number = 0;
			var blue:Number = 0;
			var green:Number = 0;
			
			if (val > .5)
			{
				green = 255;
				red = 255-(((val * 2) - 1) * 255);
			}else
			{
				green = (val * 2) * 255;
				red = 255;
			}
			
			colour = red << 16 | green << 8 | blue;
			
			this.graphics.beginFill(colour, 1);
			this.graphics.drawRoundRect(0, 0, _width*val, _height,10);
		}
		
	}
	
}